> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Order Address

> Creates a new Order address.



## OpenAPI

````yaml openapi/ecommerce.yaml post /public/{user_id}/orders/{publicOrder_uuid}/addresses/{customerAddress_id}
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/orders/{publicOrder_uuid}/addresses/{customerAddress_id}:
    post:
      tags:
        - Order
      summary: Create Order Address
      description: Creates a new Order address.
      operationId: createOrderAddress
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: omnis
        - name: publicOrder_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: 74f3effd-0035-32e9-88c1-26916c78ee1d
        - name: customerAddress_id
          in: path
          description: The ID of the customerAddress.
          required: true
          schema:
            type: integer
          example: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: a13651d3-5047-4a12-a7c3-4f345fb026aa
                      first_name:
                        type: string
                        example: Ena
                      last_name:
                        type: string
                        example: Jast
                      company_name:
                        type: string
                        example: Bahringer, Lind and Blanda
                      vat_number:
                        type: string
                        example: '25270'
                      vat_validation_status:
                        type: string
                        example: invalid
                      vat_validated_at:
                        type: string
                        example: '2025-01-01T00:00:00Z'
                      line_one:
                        type: string
                        example: 1225 Funk Shoals
                      line_two:
                        type: string
                        example: 280 Murazik Run
                      line_three:
                        type: string
                        example: 6567 Nathanael Mills Apt. 398
                      city:
                        type: string
                        example: Port Antoinette
                      province_code:
                        type: string
                        example: ST
                      country_code:
                        type: string
                        example: NP
                      postcode:
                        type: string
                        example: '48153'
                      contact_email:
                        type: string
                        example: lindgren.rachael@hotmail.com
                      contact_phone:
                        type: string
                        example: +1-458-576-7187
                      company_code:
                        type: string
                        example: '85960299'
                example:
                  data:
                    uuid: a13651d3-5047-4a12-a7c3-4f345fb026aa
                    first_name: Ena
                    last_name: Jast
                    company_name: Bahringer, Lind and Blanda
                    vat_number: '25270'
                    vat_validation_status: invalid
                    vat_validated_at: '2025-01-01T00:00:00Z'
                    line_one: 1225 Funk Shoals
                    line_two: 280 Murazik Run
                    line_three: 6567 Nathanael Mills Apt. 398
                    city: Port Antoinette
                    province_code: ST
                    country_code: NP
                    postcode: '48153'
                    contact_email: lindgren.rachael@hotmail.com
                    contact_phone: +1-458-576-7187
                    company_code: '85960299'
              example:
                data:
                  uuid: a13651d3-5047-4a12-a7c3-4f345fb026aa
                  first_name: Ena
                  last_name: Jast
                  company_name: Bahringer, Lind and Blanda
                  vat_number: '25270'
                  vat_validation_status: invalid
                  vat_validated_at: '2025-01-01T00:00:00.0000000+00:00'
                  line_one: 1225 Funk Shoals
                  line_two: 280 Murazik Run
                  line_three: 6567 Nathanael Mills Apt. 398
                  city: Port Antoinette
                  province_code: ST
                  country_code: NP
                  postcode: '48153'
                  contact_email: lindgren.rachael@hotmail.com
                  contact_phone: +1-458-576-7187
                  company_code: '85960299'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````